<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: ib_defs_m::ib_data_ Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceib__defs__m.html">ib_defs_m</a></li><li class="navelem"><a class="el" href="structib__defs__m_1_1ib__data__.html">ib_data_</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structib__defs__m_1_1ib__data__-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ib_defs_m::ib_data_ Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for ib_defs_m::ib_data_:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structib__defs__m_1_1ib__data____coll__graph.png" border="0" usemap="#ib__defs__m_1_1ib__data___coll__map" alt="Collaboration graph"/></div>
<map name="ib__defs__m_1_1ib__data___coll__map" id="ib__defs__m_1_1ib__data___coll__map">
<area shape="rect" id="node2" href="structdata__xx__defs_1_1i3__unit__.html" title="{data_xx_defs::i3_unit_\n|+ d\l|}" alt="" coords="5,5,159,83"/>
<area shape="rect" id="node3" href="structdata__xx__defs_1_1r3__unit__.html" title="{data_xx_defs::r3_unit_\n|+ d\l|}" alt="" coords="183,5,338,83"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af9b32ca5cd995125b685d5fbdd8c5a71"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__data__.html#af9b32ca5cd995125b685d5fbdd8c5a71">update_dpdx</a></td></tr>
<tr class="separator:af9b32ca5cd995125b685d5fbdd8c5a71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf123d3d0bc87d34ec091c032d82e813"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__data__.html#acf123d3d0bc87d34ec091c032d82e813">update_visc</a></td></tr>
<tr class="separator:acf123d3d0bc87d34ec091c032d82e813"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af32c70fef706f7cbc7ac7c76eb69a625"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__data__.html#af32c70fef706f7cbc7ac7c76eb69a625">solve_cv_gh</a></td></tr>
<tr class="separator:af32c70fef706f7cbc7ac7c76eb69a625"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acefeeb9726775d67d4543278ba12d7ed"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__data__.html#acefeeb9726775d67d4543278ba12d7ed">cont_rm_divu</a></td></tr>
<tr class="separator:acefeeb9726775d67d4543278ba12d7ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b217ce55a9d85af176e6a748fd994e1"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structdata__xx__defs_1_1i3__unit__.html">i3_unit_</a>), dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__data__.html#a4b217ce55a9d85af176e6a748fd994e1">dpdx_flag</a></td></tr>
<tr class="separator:a4b217ce55a9d85af176e6a748fd994e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a422c951ddd19269bb4df02bbfe4403b8"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structdata__xx__defs_1_1i3__unit__.html">i3_unit_</a>), dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__data__.html#a422c951ddd19269bb4df02bbfe4403b8">visc_flag</a></td></tr>
<tr class="separator:a422c951ddd19269bb4df02bbfe4403b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab33193f490f7f52c21d1fb9df63fe1f5"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__data__.html#ab33193f490f7f52c21d1fb9df63fe1f5">dpdx_c</a></td></tr>
<tr class="separator:ab33193f490f7f52c21d1fb9df63fe1f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d7433a0425de740a2573e2f6b46bacb"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__data__.html#a2d7433a0425de740a2573e2f6b46bacb">flag_sol_gh</a> =&gt; null()</td></tr>
<tr class="separator:a2d7433a0425de740a2573e2f6b46bacb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a615221daae02f9c05d5cdb3b57260c79"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__data__.html#a615221daae02f9c05d5cdb3b57260c79">dpdx_c_flag</a> =&gt; null()</td></tr>
<tr class="separator:a615221daae02f9c05d5cdb3b57260c79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4819aaeea47617d6e67f87a541218800"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__data__.html#a4819aaeea47617d6e67f87a541218800">viscxy_corr</a> =&gt; null()</td></tr>
<tr class="separator:a4819aaeea47617d6e67f87a541218800"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8384dae2b7a8e95bcb9607247ba35af2"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__data__.html#a8384dae2b7a8e95bcb9607247ba35af2">viscyz_corr</a> =&gt; null()</td></tr>
<tr class="separator:a8384dae2b7a8e95bcb9607247ba35af2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4148c4fd3bf5fa128e3e776a75606d7"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structib__defs__m_1_1ib__data__.html#ac4148c4fd3bf5fa128e3e776a75606d7">viscxz_corr</a> =&gt; null()</td></tr>
<tr class="separator:ac4148c4fd3bf5fa128e3e776a75606d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="acefeeb9726775d67d4543278ba12d7ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acefeeb9726775d67d4543278ba12d7ed">&#9670;&nbsp;</a></span>cont_rm_divu</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical ib_defs_m::ib_data_::cont_rm_divu</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab33193f490f7f52c21d1fb9df63fe1f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab33193f490f7f52c21d1fb9df63fe1f5">&#9670;&nbsp;</a></span>dpdx_c</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(3) ib_defs_m::ib_data_::dpdx_c</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a615221daae02f9c05d5cdb3b57260c79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a615221daae02f9c05d5cdb3b57260c79">&#9670;&nbsp;</a></span>dpdx_c_flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:,:,:), pointer ib_defs_m::ib_data_::dpdx_c_flag =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4b217ce55a9d85af176e6a748fd994e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b217ce55a9d85af176e6a748fd994e1">&#9670;&nbsp;</a></span>dpdx_flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structdata__xx__defs_1_1i3__unit__.html">i3_unit_</a>), dimension(3) ib_defs_m::ib_data_::dpdx_flag</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2d7433a0425de740a2573e2f6b46bacb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d7433a0425de740a2573e2f6b46bacb">&#9670;&nbsp;</a></span>flag_sol_gh</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:,:,:), pointer ib_defs_m::ib_data_::flag_sol_gh =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af32c70fef706f7cbc7ac7c76eb69a625"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af32c70fef706f7cbc7ac7c76eb69a625">&#9670;&nbsp;</a></span>solve_cv_gh</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical ib_defs_m::ib_data_::solve_cv_gh</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af9b32ca5cd995125b685d5fbdd8c5a71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9b32ca5cd995125b685d5fbdd8c5a71">&#9670;&nbsp;</a></span>update_dpdx</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical ib_defs_m::ib_data_::update_dpdx</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acf123d3d0bc87d34ec091c032d82e813"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf123d3d0bc87d34ec091c032d82e813">&#9670;&nbsp;</a></span>update_visc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical ib_defs_m::ib_data_::update_visc</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a422c951ddd19269bb4df02bbfe4403b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a422c951ddd19269bb4df02bbfe4403b8">&#9670;&nbsp;</a></span>visc_flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structdata__xx__defs_1_1i3__unit__.html">i3_unit_</a>), dimension(3) ib_defs_m::ib_data_::visc_flag</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4819aaeea47617d6e67f87a541218800"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4819aaeea47617d6e67f87a541218800">&#9670;&nbsp;</a></span>viscxy_corr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer ib_defs_m::ib_data_::viscxy_corr =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac4148c4fd3bf5fa128e3e776a75606d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4148c4fd3bf5fa128e3e776a75606d7">&#9670;&nbsp;</a></span>viscxz_corr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer ib_defs_m::ib_data_::viscxz_corr =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8384dae2b7a8e95bcb9607247ba35af2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8384dae2b7a8e95bcb9607247ba35af2">&#9670;&nbsp;</a></span>viscyz_corr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer ib_defs_m::ib_data_::viscyz_corr =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="ib__defs__m_8f90.html">ib_defs_m.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
